Page MenuHomePhabricator

Catchable fatal error: Object of class Closure could not be converted to string in /var/www/w/git/includes/db/Database.php on line 3912
Closed, ResolvedPublic

Description

low priority issue.

I made an unrelated syntax error, and it triggered:

Catchable fatal error: Object of class Closure could not be converted to string in /var/www/w/git/includes/db/Database.php on line 3912

Expected behaviour, an error more like:

"DB transaction callbacks still pending (from <callers here>)."

Possibly just my php being old:

bawolff@Bawolff-L:/var/www/w/git/includes$ php --version
PHP 5.3.3-7 with Suhosin-Patch (cli) (built: Jan 5 2011 12:52:48)
Copyright (c) 1997-2009 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies

with Suhosin v0.9.32.1, Copyright (c) 2007-2010, by SektionEins GmbH

Version: 1.22.0
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=47375

Details

Reference
bz56124

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 2:32 AM
bzimport added a project: Wikimedia-Rdbms.
bzimport set Reference to bz56124.
bzimport added a subscriber: Unknown Object (MLST).
Bawolff created this task.Oct 24 2013, 9:54 PM

2013-10-24 0.42 -rakkaus:#mediawiki-i18n- (1 lines skipped) [23-Oct-2013 22:42:26 UTC] PHP Catchable fatal error: Object of class Closure could not be converted to string in /www/translatewiki.net/w/includes/db/Database.php on line 3912

Change 91819 had a related patch set uploaded by Aaron Schulz:
Fixed use of wrong callback array element

https://gerrit.wikimedia.org/r/91819

Change 91819 merged by jenkins-bot:
Fixed use of wrong callback array element

https://gerrit.wikimedia.org/r/91819

Reedy added a comment.Oct 28 2013, 9:23 PM
  • Bug 56278 has been marked as a duplicate of this bug. ***

Change 92421 had a related patch set uploaded by Reedy:
Fixed use of wrong callback array element

https://gerrit.wikimedia.org/r/92421

Change 92421 merged by Reedy:
Fixed use of wrong callback array element

https://gerrit.wikimedia.org/r/92421

Change 92428 had a related patch set uploaded by PleaseStand:
Fixed use of wrong callback array element

https://gerrit.wikimedia.org/r/92428

Change 92428 merged by jenkins-bot:
Fixed use of wrong callback array element

https://gerrit.wikimedia.org/r/92428